Page MenuHomeFreeBSD

audio/teamspeak3-server: Updated to 3.0.13.7
ClosedPublic

Authored by ultima on Jul 14 2017, 1:21 AM.
Tags
None
Referenced Files
F81252282: D11593.id30794.diff
Sat, Apr 13, 8:45 AM
F81252171: D11593.id30839.diff
Sat, Apr 13, 8:42 AM
Unknown Object (File)
Mar 13 2024, 3:58 PM
Unknown Object (File)
Mar 10 2024, 11:15 AM
Unknown Object (File)
Mar 10 2024, 11:15 AM
Unknown Object (File)
Mar 10 2024, 11:15 AM
Unknown Object (File)
Mar 10 2024, 10:38 AM
Unknown Object (File)
Jan 3 2024, 11:37 PM
Subscribers

Details

Summary
  • Updated to 3.0.13.7
  • Sorted Makefile
  • Fixed Broken message for only being for 11.0, this was fixed in r310010

Changelog: http://forum.teamspeak.com/threads/126318-TeamSpeak-3-Server-3-0-13-7-released

Reviewed by\: lifanov (mentor), matthew (mentor)
Approved by\: lifanov (mentor), matthew (mentor)
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Test Plan

portlint:
WARN: Makefile: possible use of absolute pathname "/var/db/teamspeak".
WARN: Makefile: possible use of absolute pathname "/var/log/teamspeak".
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTEPOCH.
WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX and/or PKGNAMESUFFIX.
WARN: Makefile: "RESTRICTED" found. do not forget to update ports/LEGAL.
0 fatal errors and 6 warnings found.

poudriere:
103i386
103amd64
110i386 is marked as broken: Will not start on FreeBSD 11.0, Bug 212493
110amd64 is marked as broken: Will not start on FreeBSD 11.0, Bug 212493
12i386
12amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

audio/teamspeak3-server/Makefile
29 ↗(On Diff #30762)

should be removed, it already has all the no- stuff in LICENSE_PERMS.

36–41 ↗(On Diff #30762)

s/+=/=/

61–65 ↗(On Diff #30762)

WRKSRC is the same, it should probably be only defined once, outside of the .if.

62–63 ↗(On Diff #30762)

could be .elif ${ARCH} == "amd64"

  • Fixed inlines made by matt
This revision is now accepted and ready to land.Jul 15 2017, 10:41 PM
This revision was automatically updated to reflect the committed changes.